# class toHelpContext

This class is used to indicate a help context of an object. More...

Definition | `#include <tohelp.h>`
Inherited by | toParamGet, toSettingTab, toTemplate, toToolWidget
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toHelpContext (const QString &file)
- virtual ~toHelpContext ()
- virtual const QString & context (void) const

## Detailed Description

This class is used to indicate a help context of an object. When the current context is to be determined you start at the widget that currently has focus and walk upwards to it's parent until you find a widget that also inherits this class which specify the context of all underlying widgets.

toHelpContext (const QString &file)

### toHelpContext

Create a context.

Parameters:

file | File in the help directory that describes the current context.

~toHelpContext ()

### ~toHelpContext

[virtual]

const QString & context (void)

### context

[const virtual]

Get this context

Returns: The location of a file that describes the current context.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.